package dev.shadowsoffire.apotheosis.ench.replacements;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import net.minecraft.world.effect.MobEffectInstance;
import net.minecraft.world.effect.MobEffects;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.entity.EquipmentSlot;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.MobType;
import net.minecraft.world.item.enchantment.DamageEnchantment;
import net.minecraft.world.item.enchantment.Enchantment;
import net.minecraft.world.item.enchantment.Enchantments;

public class BaneEnchant extends DamageEnchantment {
  protected final MobType attrib;
  
  public BaneEnchant(Enchantment.Rarity rarity, MobType attrib, EquipmentSlot... slots) {
    super(rarity, 0, slots);
    this.attrib = attrib;
  }
  
  public int m_6183_(int level) {
    if (this.attrib == MobType.f_21640_)
      return 1 + (level - 1) * 11; 
    return 5 + (level - 1) * 8;
  }
  
  public int m_6175_(int level) {
    return m_6183_(level) + 20;
  }
  
  public int m_6586_() {
    return 5;
  }
  
  public float m_7335_(int level, MobType attrib) {
    if (this.attrib == MobType.f_21640_)
      return 1.0F + level * 0.5F; 
    if (this.attrib == attrib)
      return level * 1.5F; 
    return 0.0F;
  }
  
  public boolean m_5975_(Enchantment ench) {
    if (this.attrib == MobType.f_21640_)
      return (ench != this); 
    return (ench == Enchantments.f_44977_) ? ((ench != this)) : (!(ench instanceof dev.shadowsoffire.apotheosis.ench.replacements.BaneEnchant));
  }
  
  public void m_7677_(LivingEntity user, Entity target, int level) {
    if (target instanceof LivingEntity) {
      LivingEntity livingentity = (LivingEntity)target;
      if (this.attrib != MobType.f_21640_ && livingentity.m_6336_() == this.attrib) {
        int i = 20 + user.m_217043_().m_188503_(10 * level);
        livingentity.m_7292_(new MobEffectInstance(MobEffects.f_19597_, i, 3));
      } 
    } 
  }
}
